明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 281|回复: 4

[提问] 求一个坐标标注程序

[复制链接]
发表于 2019-6-9 17:04 | 显示全部楼层 |阅读模式
求一个程序可以自动标注所有选择的点的坐标值,需要每个点的(X,Y,Z)3个值
发表于 2019-6-9 19:13 | 显示全部楼层
本帖最后由 1291500406 于 2019-6-9 20:27 编辑

(defun c:bb (/ ss  lst)(vl-load-com)(setvar "nomutt" 1)(setq ss (vl-catch-all-apply 'ssget '(((0 . "point" )))) b -1)
(repeat (sslength ss)(setq lst(cons (cdr(assoc 10 (entget(ssname ss (setq b (1+ b))))))lst)))
(foreach b lst(entmake (list '(0 . "MTEXT") '(100 . "AcDbEntity") '(100 . "AcDbMText") '(7 . "Standard")  
(cons 1(strcat "X="(rtos(car b))"\nY="(rtos(car(cdr b)))"\nZ="(rtos (car(cddr b)))))
(cons 10 b) (cons 40 1))))(setvar "nomutt" 0)(princ))
 楼主| 发表于 2019-6-10 09:39 | 显示全部楼层
1291500406 发表于 2019-6-9 19:13
(defun c:bb (/ ss  lst)(vl-load-com)(setvar "nomutt" 1)(setq ss (vl-catch-all-apply 'ssget '(((0 . " ...

很好用,谢谢
发表于 2019-6-10 09:43 | 显示全部楼层
1291500406 发表于 2019-6-9 19:13
(defun c:bb (/ ss  lst)(vl-load-com)(setvar "nomutt" 1)(setq ss (vl-catch-all-apply 'ssget '(((0 . " ...

好像不能用
发表于 2019-6-10 15:40 | 显示全部楼层

提示了什么错误
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-9-22 03:23 , Processed in 0.182003 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表